[Overview][Constants][Types][Procedures and functions][Index] | Reference for unit 'BaseUnix' (#rtl)

# FpSetgid

Set the current group ID

## Declaration

Source position: bunxh.inc line 53

`function FpSetgid(`
`gid: TGid`
`):cint;`

## Description

fpSetUID sets the group ID of the current process. This call will only work if it is executed as root, or the program is setgid root.

On success, zero is returned, on error -1 is returned.

## Errors

Extended error information can be retrieved with fpGetErrNo.

## See also

FpSetUid |  | Set the current user ID
FpGetGid |  | Return real group ID
FpGetUid |  | Return current user ID
FpGetEUid |  | Return effective user ID
FpGetEGid |  | Return effective group ID
FpGetPid |  | Return current process ID
FpGetPPid |  | Return parent process ID

Documentation generated on: Feb 26 2014